import { Observable, timeout } from 'rxjs';
import { Event } from '@platform/types';
declare type Milliseconds = number;
export declare const asPromise: {
    first<E extends Event<any>>(ob$: Observable<E["payload"]>, options?: {
        op?: string;
        timeout?: Milliseconds;
    }): Promise<{
        payload?: E["payload"] | undefined;
        error?: {
            code: 'timeout' | 'completed' | 'unknown';
            message: string;
        } | undefined;
    }>;
};
export {};
