"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var _1 = require(".");
describe('time', function () {
    it('formats date', function () {
        var d = _1.time.day('2020-01-5');
        var f = d.format('YYYY MMM DD');
        (0, chai_1.expect)(f).to.eql('2020 Jan 05');
    });
    it('timezone', function () {
        (0, chai_1.expect)(_1.time.timezone.length).to.greaterThan(1);
    });
});
