"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.utc = void 0;
var day = require("dayjs");
function utc(input) {
    var date = day(input);
    var res = {
        get date() {
            return date.toDate();
        },
        get timestamp() {
            return date.toDate().getTime();
        },
        get unix() {
            return date.unix();
        },
        format: function (template) {
            return date.format(template);
        },
    };
    return res;
}
exports.utc = utc;
