"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dispose = void 0;
var rxjs_1 = require("rxjs");
exports.Dispose = {
    create: function (until$) {
        var dispose$ = new rxjs_1.Subject();
        var disposable = {
            dispose$: dispose$.asObservable(),
            dispose: function () {
                exports.Dispose.done(dispose$);
            },
        };
        return exports.Dispose.until(disposable, until$);
    },
    until: function (disposable, until$) {
        if (until$) {
            var list = Array.isArray(until$) ? until$ : [until$];
            list.forEach(function ($) { return $.subscribe(disposable.dispose); });
        }
        return disposable;
    },
    done: function (dispose$) {
        dispose$ === null || dispose$ === void 0 ? void 0 : dispose$.next();
        dispose$ === null || dispose$ === void 0 ? void 0 : dispose$.complete();
    },
};
