"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debounceBuffer = void 0;
var operators_1 = require("rxjs/operators");
function debounceBuffer(ob$, debounce) {
    if (debounce === void 0) { debounce = 0; }
    var shared$ = ob$.pipe((0, operators_1.publishReplay)(1), (0, operators_1.refCount)());
    return shared$.pipe((0, operators_1.buffer)(shared$.pipe((0, operators_1.debounceTime)(debounce))));
}
exports.debounceBuffer = debounceBuffer;
