"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEvent = exports.payload = exports.event = void 0;
var operators_1 = require("rxjs/operators");
function event(ob$, type) {
    return ob$.pipe((0, operators_1.filter)(function (e) { return e.type === type; }), (0, operators_1.map)(function (e) { return e; }));
}
exports.event = event;
function payload(ob$, type) {
    return ob$.pipe((0, operators_1.filter)(function (e) { return e.type === type; }), (0, operators_1.map)(function (e) { return e.payload; }));
}
exports.payload = payload;
function isEvent(input, type) {
    if (!(input !== null &&
        typeof input === 'object' &&
        typeof input.type === 'string' &&
        typeof input.payload === 'object')) {
        return false;
    }
    if (type === null)
        return false;
    if (type !== undefined) {
        var event_1 = input;
        if (typeof type === 'object') {
            if (typeof type.startsWith !== 'string')
                return false;
            return event_1.type.startsWith(type.startsWith);
        }
        else {
            if (typeof type !== 'string')
                return false;
            if (event_1.type !== type)
                return false;
        }
    }
    return true;
}
exports.isEvent = isEvent;
