import * as t from '@platform/types';
import { filter } from 'rxjs/operators';
import { Observable } from './rx';
export declare const Pump: {
    create<E extends t.Event<any> = t.Event<any>>(bus: t.EventBus<any>, options?: {
        dispose$?: Observable<any> | undefined;
        filter?: t.EventPumpFilter<E> | undefined;
    }): t.EventPump<E>;
    connect<E_1 extends t.Event<any> = t.Event<any>>(pump: t.EventPump<E_1>, options?: {
        dispose$?: Observable<any> | undefined;
        filter?: t.EventPumpFilter<E_1> | undefined;
    }): {
        alive: boolean;
        dispose: () => void;
        dispose$: Observable<void>;
        to(bus: t.EventBus<any>): any;
        filter(fn: t.EventPumpFilter<E_1>): any;
    };
};
