export declare function walk(obj: any | any[], fn: (obj: any | any[]) => void): void;
export declare function build<T>(keyPath: string, root: {
    [key: string]: any;
}, value?: any): T;
export declare function pluck<T>(keyPath: string, root: {
    [key: string]: any;
}): T;
export declare function remove(keyPath: string, root: {
    [key: string]: any;
}, options?: {
    type?: 'LEAF' | 'PRUNE';
}): {
    [key: string]: any;
};
export declare function prune(keyPath: string, root: {
    [key: string]: any;
}): {
    [key: string]: any;
};
export declare function toArray<T = Record<string, unknown>, K = keyof T>(obj: Record<string, any>): {
    key: K;
    value: T[keyof T];
}[];
